/** An indexable object */
declare type IndexedObject = {
	[key: string]: any
}
/**
 * Returns a copy of a JavaScript object with the keys arranged in a specified order.
 * @param subject The unarranged source object.
 * @param keys The keys that we wish to arrange at the top. Can be a an array of keys. A string of keys seperated by a space character. Or false, to just sort the keys of the object.
 * @param sort If true, the remaining keys are sorted.
 * @returns The arranged object.
 */
export default function arrangeKeys<T extends IndexedObject>(
	subject: T,
	keys?: string[] | string | false,
	sort?: boolean
): T
export {}
//# sourceMappingURL=index.d.ts.map
